unit HRConst;

interface

{$IFDEF HRPENG}
{$R HRPENG.RES}
{$ENDIF}
{$IFDEF HRPGER}
{$R HRPGER.RES}
{$ENDIF}
{$IFDEF HRPKOR}
{$R HRPKOR.RES}
{$ENDIF}

const
  HRRES_START  = 64000;

  HRCODE39     = HRRES_START;
  HRCODE25     = HRRES_START+100;
  HRCODABAR    = HRRES_START+200;
  HRUPC        = HRRES_START+300;
  HREAN        = HRRES_START+400;
  HRCODE128    = HRRES_START+500; {~600}
  HRMSG_START  = HRRES_START+700;
  HRFRM_START  = HRRES_START+800;

  HRUPCLeft    = HRUPC + 10;
  HRUPCRight   = HRUPC + 20;
  HRUPCOdd     = HRUPC + 30;
  HRUPCEven    = HRUPC + 40;
  HRUPCFlag    = HRUPC + 50;

  HREANFlag    = HREAN + 10;
  HREANLeftA   = HREAN + 20;
  HREANLeftB   = HREAN + 30;
  HREANRight   = HREAN + 40;
  HREANPlus5   = HREAN + 50;



  SVersionID             = HRMSG_START;
  {  HRPicEdt }
  SLoadPictureTitle      = HRMSG_START+1;
  SSavePictureTitle      = HRMSG_START+2;
  srNone                 = HRMSG_START+3;
  {  HReport }
  SCantFound             = HRMSG_START+10;
  SCantFoundStringGrid   = HRMSG_START+11;
  SCantFoundGroup        = HRMSG_START+12;
  SCantFoundAnyGroup     = HRMSG_START+13;
  SCantFoundAnyGroupX    = HRMSG_START+14;
  SCantFoundAnyGroupY    = HRMSG_START+15;
  SCantFoundAnyGroupZ    = HRMSG_START+16;
  SCantFoundRightAndDown = HRMSG_START+17;
  SCantFoundAnySource    = HRMSG_START+18;
  SMissingDataSet        = HRMSG_START+19;
  SDataSetOpenError      = HRMSG_START+20;
  SItsNotADataSet        = HRMSG_START+21;
  SNotEnoughCrossTab     = HRMSG_START+22;
  SCantOpen              = HRMSG_START+23;
  SSaveFileFilter        = HRMSG_START+24;
  SSaveDefaultExt        = HRMSG_START+25;
  SSaveNotAvailable      = HRMSG_START+26;
  SItsNotASaveFile       = HRMSG_START+27;
  SItsNotASameVersion    = HRMSG_START+28;

  SCantFoundHRPage       = HRMSG_START+30;
  SCantFoundHRLink       = HRMSG_START+31;
  SCantFoundDataSource   = HRMSG_START+32;
  { Common }
  SItsNotAForm           = HRMSG_START+40;
  SThatsNotAHRPage       = HRMSG_START+41;
  SCantInsertControl     = HRMSG_START+42;
  STheresAllPageBand     = HRMSG_START+43;
  SThatsNotABand         = HRMSG_START+44;
  {  HRLinkS }
  SItsAParent            = HRMSG_START+50;
  SCantAddChild          = HRMSG_START+51;
  SChildNotAvailable     = HRMSG_START+52;
  SParentNotAvailable    = HRMSG_START+53;
  {  HRLinkG }
  SAlreadyExist          = HRMSG_START+60;
  SStringGridError       = HRMSG_START+61;
  SThereIsStringGrid     = HRMSG_START+62;
  { Registration }
  SRegistrationCaption   = HRMSG_START+70;
  SHomePage              = HRMSG_START+71;
  SShareVersion          = HRMSG_START+72;
  SVersion               = HRMSG_START+73;
  SUserName              = HRMSG_START+74;
  SSerialNumber          = HRMSG_START+75;
  SUserNumber            = HRMSG_START+76;
  { FORMS }
  SPrintProcess          = HRFRM_START+0;
  SCancel                = HRFRM_START+1;
  SOk                    = HRFRM_START+2;
  SAvailableColumns      = HRFRM_START+3;
  SAddColumns            = HRFRM_START+4;
  SSelectAll             = HRFRM_START+5;
  SDelete                = HRFRM_START+6;
  SGroupDefine           = HRFRM_START+7;
  SGroupOption           = HRFRM_START+8;
  SAcrossDirection       = HRFRM_START+9;
  SDownAcross            = HRFRM_START+10;
  SAcrossDown            = HRFRM_START+11;
  SAcrossCount           = HRFRM_START+12;
  SPageBreak             = HRFRM_START+13;
  SNone                  = HRFRM_START+14;
  SAlways                = HRFRM_START+15;
  SConditional           = HRFRM_START+16;
  SLinkFields            = HRFRM_START+17;
  SPrintOnNoDetail       = HRFRM_START+18;
  SYes                   = HRFRM_START+19;
  SNo                    = HRFRM_START+20;
  SMaster                = HRFRM_START+21;
  SDetail                = HRFRM_START+22;
  SSelfKey               = HRFRM_START+23;
  SGrandKey              = HRFRM_START+24;
  SAdd                   = HRFRM_START+25;
  SInsert                = HRFRM_START+26;
  SChild                 = HRFRM_START+27;
  SRemove                = HRFRM_START+28;
  SGroupDirection        = HRFRM_START+29;
  SDownward              = HRFRM_START+30;
  SRightward             = HRFRM_START+31;
  SCrossTab              = HRFRM_START+32;
  SAvailableGroups       = HRFRM_START+33;
  SSelectedGroupOrder    = HRFRM_START+34;
  SGroupPumpTo           = HRFRM_START+35;
  SExcelSheetName        = HRFRM_START+36;
  SStartCells            = HRFRM_START+37;
  SLinkTrees             = HRFRM_START+38;
  SAvailableDataSources  = HRFRM_START+39;
  SSelectedSourceTrees   = HRFRM_START+40;
  SGroupOrder            = HRFRM_START+41;
  SStringGrid            = HRFRM_START+42;
  SRowOption             = HRFRM_START+43;
  SFrom                  = HRFRM_START+44;
  STo                    = HRFRM_START+45;
  SPageSize              = HRFRM_START+46;
  SA4                    = HRFRM_START+47;
  SA3                    = HRFRM_START+48;
  SB5                    = HRFRM_START+49;
  SB4                    = HRFRM_START+50;
  SLetter                = HRFRM_START+51;
  SLegal                 = HRFRM_START+52;
  S80Column              = HRFRM_START+53;
  S136Column             = HRFRM_START+54;
  SUserDefined           = HRFRM_START+55;
  SWidth                 = HRFRM_START+56;
  SHeight                = HRFRM_START+57;
  SOrientation           = HRFRM_START+58;
  SPortrait              = HRFRM_START+59;
  SLandscape             = HRFRM_START+60;
  SMargine               = HRFRM_START+61;
  STop                   = HRFRM_START+62;
  SLeft                  = HRFRM_START+63;
  SRight                 = HRFRM_START+64;
  SBottom                = HRFRM_START+65;
  SRegistration          = HRFRM_START+66;
  SHyperReportPreview    = HRFRM_START+67;
  SPageOf                = HRFRM_START+68;
  SBackgroundProcessing  = HRFRM_START+69;
  SFirstPage             = HRFRM_START+70;
  SPreviousPage          = HRFRM_START+71;
  SNextPage              = HRFRM_START+72;
  SStartBackground       = HRFRM_START+73;
  SLastPage              = HRFRM_START+74;
  SZoomIn                = HRFRM_START+75;
  SZoomOut               = HRFRM_START+76;
  SSaveReport            = HRFRM_START+77;
  SLoadReport            = HRFRM_START+78;
  SPrint                 = HRFRM_START+79;
  SClose                 = HRFRM_START+80;
  { Preview }
  HRZOOMMIN  =  20;
  HRZOOMMAX  = 200;
  HRZOOMINIT = 100;
  HRZOOMSTEP =  20;

implementation

end.
