unit SampleAB;

interface

uses
  {$IFDEF WIN32} Windows, {$ELSE} WinTypes, WinProcs, {$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  HRCommon, HReport, HRLinkC, HRCtrlsC, StdCtrls, DBTables, DB, HRRichC,
  ComCtrls, ExtCtrls;

type
  TSampleABf = class(TForm)
    HRPage1: THRPage;
    HRGroupBand2: THRGroupBand;
    HRGroup3: THRGroup;
    HRGroupBandA: THRGroupBand;
    HRPageBand1: THRPageBand;
    HRGroupBand0: THRGroupBand;
    HRGroup2: THRGroup;
    HRGroup1: THRGroup;
    sOrderByCustomer: TDataSource;
    HRLabel2: THRLabel;
    HRPageBand2: THRPageBand;
    HRLink1: THRLink;
    HRRichMemo1: THRRichMemo;
    HyperReport1: THyperReport;
    Table1: TTable;
    rmNotes: THRDBRichMemo;
    mgGraphic: THRDBImage;
    txCategory: THRDBText;
    lbCategory: THRLabel;
    HRBarcode1: THRBarcode;
    bcSpeciesNo: THRDBBarcode;
    HRDBCheckBox1: THRDBCheckBox;
    txSpeciesNo: THRDBText;
    lbSpeciesNo: THRLabel;
    procedure lbCustNo2BeforePrint(Sender: THRCustomLabel;
      var Value: String);
    procedure HRLabel2BeforePrint(Sender: THRCustomLabel;
      var Value: string);
    procedure HyperReport1CreatePreview(Sender: TObject);
    procedure HyperReport1CheckPreview(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SampleABf: TSampleABf;

implementation

uses SampleCP, Sample1;

{$R *.DFM}

procedure TSampleABf.lbCustNo2BeforePrint(Sender: THRCustomLabel;
  var Value: String);
begin
  Value := 'ѱ';
end;

procedure TSampleABf.HRLabel2BeforePrint(Sender: THRCustomLabel;
  var Value: string);
begin
  if HyperReport1.isEof then Value := 'End of Page' else Value := 'Continue';
end;

procedure TSampleABf.HyperReport1CreatePreview(Sender: TObject);
begin
  CustomerPreview := TCustomerPreview.Create(Application);
  with CustomerPreview do
  begin
    WindowState := HyperReport1.WindowState;
    HyperReport := HyperReport1;
    HyperReport1.PreviewImage := Image1;
    HyperReport1.PreviewScrollBox := ScrollBox1;
    if (HyperReport1.ShowModal) then ShowModal else Show;
  end;
end;

procedure TSampleABf.HyperReport1CheckPreview(Sender: TObject);
begin
  with CustomerPreview do begin
    if (WindowState = wsMinimized) then WindowState := wsNormal;
    BringToFront;
  end;
end;



end.
